# Interface JmolAppConsoleInterface

All Known Implementing Classes:
  `AppConsole, AppletConsole, AppletConsole, GenericConsole, JmolConsole`

public interface JmolAppConsoleInterface

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`JmolScriptEditorInterface`
`getScriptEditor()`
`String`
`getText()`
`Object`
`newJMenu(String key)`
`Object`
`newJMenuItem(String key)`
`void`
`regainFocus()`
`void`
`sendConsoleEcho(String strEcho)`
`void`
`sendConsoleMessage(String strInfo)`
`void`
`setVisible(boolean b)`
`void`
`start(Viewer vwr)`
`void`
`zap()`

## Method Details

### setVisible

void setVisible(boolean b)

### sendConsoleEcho

void sendConsoleEcho(String strEcho)

### sendConsoleMessage

void sendConsoleMessage(String strInfo)

### getScriptEditor

JmolScriptEditorInterface getScriptEditor()

### start

void start(Viewer vwr)

### zap

void zap()

### dispose

void dispose()

### getText

String getText()

### newJMenu

Object newJMenu(String key)

### newJMenuItem

Object newJMenuItem(String key)

### regainFocus

void regainFocus()